%Matlab-program:
%--------------------------------------------
%Skrevet av: Anders Welde Vikan
%Hensikt: Plotter hastighetsvektorer
%--------------------------------------------
clc
clear
%---Load numerical files
u=load('res_u 20.22.dat');
v=load('res_v 20.22.dat');
load 'x.dat'
load 'y.dat'
%--Plotter vektorfelt
u=u';
v=v';
%Nye celler der u,v evalueres
dx=max(x)/50;
dy=max(y)/50;
x_new=[0:dx:max(x)];
y_new=[0:dy:max(y)];

[XI,YI] = meshgrid(x_new,y_new);

%interpolerer rader
u_new = interp2(x,y,u,XI,YI,'spline');
v_new = interp2(x,y,v,XI,YI,'spline');

quiver(x_new,y_new,u_new,v_new);

xlabel('x')
ylabel('y')
title(['Hastighetsfelt t = 20.22'])

shading interp
lighting phong
